[tox]
envlist = pre-commit,pylint,docs

[testenv]
extras = dev

[testenv:pre-commit]
commands = pre-commit run --all-files --show-diff-on-failure

[testenv:pylint]
commands = pylint bin docs workflow_nodes --disable=fixme

[testenv:docs]
commands = sphinx-build -W -b html -d {envtmpdir}/doctrees docs/source {envtmpdir}/html
